OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
STEPSelections

# STEPSelections_AssemblyLink Class Reference

`#include <STEPSelections_AssemblyLink.hxx>`

## Public Member Functions
Standard_EXPORT | STEPSelections_AssemblyLink ()
Standard_EXPORT | STEPSelections_AssemblyLink (const Handle(StepRepr_NextAssemblyUsageOccurrence)&nauo, const Handle(Standard_Transient)&item, const Handle(STEPSelections_AssemblyComponent)&part)
Handle_StepRepr_NextAssemblyUsageOccurrence | GetNAUO () const
Handle_Standard_Transient | GetItem () const
Handle_STEPSelections_AssemblyComponent | GetComponent () const
void | SetNAUO (const Handle(StepRepr_NextAssemblyUsageOccurrence)&nauo)
void | SetItem (const Handle(Standard_Transient)&item)
void | SetComponent (const Handle(STEPSelections_AssemblyComponent)&part)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepRepr_NextAssemblyUsageOccurrence | myNAUO
Handle_Standard_Transient | myItem
Handle_STEPSelections_AssemblyComponent | myComponent

## Constructor & Destructor Documentation

Standard_EXPORT STEPSelections_AssemblyLink::STEPSelections_AssemblyLink | ( |  | ) |

Standard_EXPORT STEPSelections_AssemblyLink::STEPSelections_AssemblyLink | ( | const Handle(StepRepr_NextAssemblyUsageOccurrence)& | nauo,
|  | const Handle(Standard_Transient)& | item,
|  | const Handle(STEPSelections_AssemblyComponent)& | part
| ) |

## Member Function Documentation

Handle_STEPSelections_AssemblyComponent STEPSelections_AssemblyLink::GetComponent | ( |  | ) | const

Handle_Standard_Transient STEPSelections_AssemblyLink::GetItem | ( |  | ) | const

Handle_StepRepr_NextAssemblyUsageOccurrence STEPSelections_AssemblyLink::GetNAUO | ( |  | ) | const

Standard_EXPORT const STEPSelections_AssemblyLink::Handle | ( | Standard_Type |  | ) | const

void STEPSelections_AssemblyLink::SetComponent | ( | const Handle(STEPSelections_AssemblyComponent)& | part | ) | `[inline]`

void STEPSelections_AssemblyLink::SetItem | ( | const Handle(Standard_Transient)& | item | ) | `[inline]`

void STEPSelections_AssemblyLink::SetNAUO | ( | const Handle(StepRepr_NextAssemblyUsageOccurrence)& | nauo | ) | `[inline]`

## Field Documentation

Handle_STEPSelections_AssemblyComponent STEPSelections_AssemblyLink::myComponent`[private]`

Handle_Standard_Transient STEPSelections_AssemblyLink::myItem`[private]`

Handle_StepRepr_NextAssemblyUsageOccurrence STEPSelections_AssemblyLink::myNAUO`[private]`

The documentation for this class was generated from the following files:

- STEPSelections_AssemblyLink.hxx
- STEPSelections_AssemblyLink.lxx